.search-field {
  display: flex;
  flex-direction: column;
  width: 100%;
  transition: all ease 0.3s;
}

.search-field > label {
  width: fit-content;
  font-family: 'Roboto', sans-serif;
  font-size: 0.875rem;
  font-weight: 400;
  color: #666;
  transform: translate(14px, 37px);
  transition: all ease 0.3s;
}

.search-field > input {
  height: 55px;
  font-family: 'Roboto', sans-serif;
  text-transform: uppercase;
  font-size: 1rem;
  font-weight: 400;
  padding: 10px 15px;
  border: 1px solid #ccc;
  border-radius: 5px;
  transition: all ease 0.3s;
}

.search-field > input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0px 1000px white inset;
}

.search-field > p {
  display: none;
  font-size: 1rem;
  margin-top: 5px;
  font-family: 'Roboto', sans-serif;
  color: #f44336;
}

.search-field.focus > label,
.search-field.filled > label,
.search-field.error > label {
  color: #005CAA;
  background-color: #FFF;
  padding: 0 10px;
  transform: translate(14px, 10px);
}

.search-field.focus > input {
  border-color: #005CAA;
}

.search-field.filled > label {
  color: #666;
}

.search-field.error > label {
  color: #f44336;
}

.search-field.error > input {
  border-color: #f44336;
}

.search-field.error > p {
  display: block;
}

.search-field.disabled > label {
  color: #ccc;
}
.search-field.disabled > input {
  background-color: transparent;
  border-color: #ccc;
}

.search-field--result {
  position: absolute;
  display: none;
  transform: translateY(80px);
  background: #FFF;
  border-radius: 6px;
  box-shadow: 0 0 10px rgb(0 0 0 / 15%);
  width: var(--search-field-width);
  z-index: 1;
  transition: all ease 0.3s;
}

.search-field--result.show {
  display: block;
}

.search-field--result > p {
  font-family: 'Roboto', sans-serif;
  font-size: 1rem;
  padding: 10px;
  cursor: pointer;
  transition: all ease 0.3s;
}

.search-field--result > p:first-child {
  border-radius: 6px 6px 0 0;
}

.search-field--result > p:last-child {
  border-radius: 0 0 6px 6px;
}

.search-field--result > p:hover {
  background-color: #f5f5f5;
}